# $Revision: 1.34 $, $Date: 2009/10/16 07:53:01 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (needs working, not busy /dev/audio!)
#
%include	/usr/lib/rpm/macros.perl
Summary:	VRML Perl module - specification independent VRML methods (1.0, 2.0, 97)
Summary(pl.UTF-8):	Moduł Perla VRML - metody VRML niezależne od specyfikacji (1.0, 2.0, 97)
Name:		perl-VRML
Version:	1.10
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/VRML/VRML-%{version}.tar.gz
# Source0-md5:	989d97ca95b49a032ea1d932dd0576bc
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These modules were conceived for the production of VRML worlds on WWW
servers via CGI and/or for generating abstract worlds. They are the
clarity of Perl scripts with VRML code to increase and (hopefully)
for VRML beginners the entrance in VRML facilitate.

%description -l pl.UTF-8
Te moduły były pomyślane do tworzenia światów VRML na serwerach WWW
poprzez CGI i/lub generowania abstrakcyjnych światów. Łączą klarowność
skryptów Perla z kodem VRML, aby uprzystępnić tworzenie VRML,
szczególnie początkującym.

%prep
%setup -q -n VRML-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.TXT
%{perl_vendorlib}/VRML.pm
%{perl_vendorlib}/VRML
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-VRML.spec,v $
Revision 1.34  2009/10/16 07:53:01  amateja
- updated to 1.10

Revision 1.33  2008/07/27 22:57:51  arekm
- release 10

Revision 1.32  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.30  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.29  2004/05/03 23:36:50  ankry
- tests added, license fix, cosmetics

Revision 1.28  2004/04/27 20:11:02  ankry
- site ->vendor

Revision 1.27  2004/04/15 09:35:57  ankry
- cosmetics

Revision 1.26  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.25  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:40  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:39:09  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/08/13 22:05:11  qboosh
- pl description, new %%doc, release 9

Revision 1.19  2002/08/11 19:36:52  radek
- release up

Revision 1.18  2002/08/11 19:33:00  radek
- (automatic) provided informative description

Revision 1.17  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 21:02:08  marcus
- rel.7.

Revision 1.15  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:38:41  depesz
adapterized

Revision 1.13  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:18:18  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:49:40  kloczek
- typo.

Revision 1.8  2001/01/26 02:29:19  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
